%define rel	15

Summary:	Converts written Finnish text to a readable form
Name:		lavennin
Version:	20041119
Release:	%mkrel %rel
License:	LGPLv2
Group:		Sound/Editors and Converters
# These URLs are no longer valid
URL:		http://phon.joensuu.fi/suopuhe/
Source:		http://www.ling.helsinki.fi/suopuhe/download/%name-%version.tar.bz2
Patch0:		lavennin-paths.patch
BuildArch:	noarch
# per locale-specific package policy:
Requires:	locales-fi

%description
Lavennin converts numbers, abbreviations and other such non-readable
strings found in usual written Finnish text to a readable form.
Therefore only the grafem-fonem conversion is left for the speech
synthesizer. Lavennin can also be used to nativisate
foreign-originated words.

%prep
%setup -q -n %name
%patch -P 0 -p1

sed -i 's,@LAVENNINDATADIR@,\"%{_datadir}/%{name}\",' bin/lavennin

%install

install -d -m755 %{buildroot}%{_bindir}
install -m755 bin/lavennin %{buildroot}%{_bindir}

install -d -m755 %{buildroot}%{_datadir}/%{name}
install -m644 data/*.txt %{buildroot}%{_datadir}/%{name}

%files
%doc man/*.shtml
%{_bindir}/lavennin
%{_datadir}/%{name}




%changelog
* Sun Dec 22 2024 pterjan <pterjan> 20041119-15.mga10
+ Revision: 2127700
- Rebuild for patchN deprecation

* Sat Mar 19 2022 umeabot <umeabot> 20041119-14.mga9
+ Revision: 1801510
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 20041119-13.mga8
+ Revision: 1491353
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 20041119-12.mga7
+ Revision: 1263311
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 20041119-11.mga6
+ Revision: 932792
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20041119-10.mga5
+ Revision: 751184
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20041119-9.mga5
+ Revision: 681274
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 20041119-8.mga4
+ Revision: 506795
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20041119-7.mga3
+ Revision: 356673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 barjac <barjac> 20041119-6.mga3
+ Revision: 343078
- update group

* Sun Jan 16 2011 anssi <anssi> 20041119-5.mga1
+ Revision: 20218
- generalize comment
- imported package lavennin

